Bug 108817 - Calc's print preview starts at first page instead of page where user works
Summary: Calc's print preview starts at first page instead of page where user works
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Unify-Across-Apps Print-Preview
  Show dependency treegraph
 
Reported: 2017-06-27 14:57 UTC by Thomas Lendo
Modified: 2021-11-24 04:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-06-27 14:57:52 UTC
The print preview of Calc starts at the first page of the current sheet instead of the page where the user works.

Steps to reproduce:
1. Open Calc.
2. Insert a character in A1, e.g. 1.
3. Go to line 55 and insert a character in A55, e.g. 2.
3. Go to line 109 and insert a character in A109, e.g. 3.
4. Activate Print Preview with Ctrl+Shift+O.

Actual result:
Calc's print preview starts at first page with cell A1.

Expected behavior:
Calc's print preview should start at page where user is actually working. The page with cell A109 should be displayed.


Tested with 5.3.3.2
Build ID: 3d9a8b4b4e538a85e0782bd6c2d430bafe583448
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; Locale: de-DE (de_DE); Calc: CL

and LibreOffice 3.3.0 
OOO330m19 (Build:6) tag libreoffice-3.3.0.4
Comment 1 Yousuf Philips (jay) (retired) 2017-06-28 13:50:36 UTC
Sounds reasonable as Writer is like that as well.

UX-Team: Any thoughts why Calc should be different?
Comment 2 Xisco Faulí 2018-05-02 09:23:28 UTC
Dear Esra Karakaş,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 3 QA Administrators 2019-11-04 03:28:41 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2019-11-24 15:40:54 UTC
still repro in

Версия: 6.5.0.0.alpha0+ (x64)
ID сборки: 32dcf3f0fdafcf44457842a8aa4f54d30d856ca9
Потоков ЦП: 4; ОС:Windows 10.0 Build 17763; Отрисовка ИП: GL; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 5 QA Administrators 2021-11-24 04:31:18 UTC
Dear Thomas Lendo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug